# binary-extensions

> List of binary file extensions

The list is just a [JSON file](https://github.com/pingponglabs/mediamagic-platform/blob/main/services/graphql-gateway/node_modules/binary-extensions/binary-extensions.json) and can be used anywhere.

## Install

```
$ npm install binary-extensions
```

## Usage

```js
const binaryExtensions = require('binary-extensions');

console.log(binaryExtensions);
//=> ['3ds', '3g2', …]
```

## Related

* [is-binary-path](https://github.com/sindresorhus/is-binary-path) - Check if a filepath is a binary file
* [text-extensions](https://github.com/sindresorhus/text-extensions) - List of text file extensions

***

[Get professional support for this package with a Tidelift subscription](https://tidelift.com/subscription/pkg/npm-binary-extensions?utm_source=npm-binary-extensions\&utm_medium=referral\&utm_campaign=readme)\
Tidelift helps make open source sustainable for maintainers while giving companies\
assurances about security, maintenance, and licensing for their dependencies.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mediamagic.dev/product-docs/services/graphql-gateway/node_modules/binary-extensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
